Bug 203655 - [MAINTAINER] devel/p5-Class-Declare: update to 0.19
Summary: [MAINTAINER] devel/p5-Class-Declare: update to 0.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-09 11:22 UTC by simarg
Modified: 2015-10-09 18:34 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description simarg 2015-10-09 11:22:05 UTC
diff -ruN /usr/ports/devel/p5-Class-Declare/Makefile ./Makefile
--- /usr/ports/devel/p5-Class-Declare/Makefile  2014-11-26 13:08:24.000000000 +0000
+++ ./Makefile  2015-10-09 11:12:49.369002000 +0000
@@ -2,7 +2,7 @@
 # $FreeBSD: head/devel/p5-Class-Declare/Makefile 373448 2014-11-26 13:08:24Z mat $

 PORTNAME=      Class-Declare
-PORTVERSION=   0.17
+PORTVERSION=   0.19
 PORTREVISION=  1
 CATEGORIES=    devel perl5
 MASTER_SITES=  CPAN
diff -ruN /usr/ports/devel/p5-Class-Declare/distinfo ./distinfo
--- /usr/ports/devel/p5-Class-Declare/distinfo  2014-01-22 15:30:13.000000000 +0000
+++ ./distinfo  2015-10-09 11:12:49.369357000 +0000
@@ -1,2 +1,2 @@
-SHA256 (Class-Declare-0.17.tar.gz) = 5ccd5aabfc940fc950527403e6985a74079c6d6fbf82c911c9f4fac0e72387ab
-SIZE (Class-Declare-0.17.tar.gz) = 76584
+SHA256 (Class-Declare-0.19.tar.gz) = 43a323521956303dfc26700ffd3967ecc4088f66f12e1d9074f73dd8e790fa01
+SIZE (Class-Declare-0.19.tar.gz) = 77805
Comment 1 commit-hook freebsd_committer 2015-10-09 18:33:39 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Oct  9 18:33:00 UTC 2015
New revision: 398947
URL: https://svnweb.freebsd.org/changeset/ports/398947

Log:
  - Update to 0.19
  - While I'm here:
    - Fix *_DEPENDS: Test::Exception is a test-only dependency
    - Add NO_ARCH
    - Sort PLIST

  Changes:	http://search.cpan.org/dist/Class-Declare/Changes
  PR:		203655
  Submitted by:	Sergey Karatkevich <simarg@gmail.com> (maintainer)

Changes:
  head/devel/p5-Class-Declare/Makefile
  head/devel/p5-Class-Declare/distinfo
  head/devel/p5-Class-Declare/pkg-plist
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-10-09 18:34:21 UTC
Committed. Thanks!